#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#ifdef OPENSSL_FIPS /* OpenSSH FIPS Implementation */
#define CONFIG_FROM_FILER "/mnt/logs/etc/rlm_config_from_filer"
#define FIPS_FIELD "fipsenabled"
#define FIPS_VALUE "yes"
#define BUFLEN 128
#endif /* OpenSSH FIPS Implementation */

#ifdef OPENSSL_FIPS /* OpenSSH FIPS Implementation */
int
read_fipsvalue_from_configfile(void)
{
       FILE *ptr_file;
       char buf[BUFLEN];
       int fipsvalue = 0;
       char *ptrbuf, *ptr1;

       ptr_file = fopen( CONFIG_FROM_FILER , "r");
       if(!ptr_file){
                printf("Config file not found");
                return 0;
        }

        while (fgets(buf, sizeof(buf), ptr_file)!=NULL){
                 ptrbuf = strstr(buf, FIPS_FIELD);
                 if(NULL != ptrbuf){
                        ptr1 = strstr(ptrbuf,FIPS_VALUE);
                        if(ptr1 != NULL){
                                fipsvalue = 1;
                        }
                }
        }

        fclose(ptr_file);
        return fipsvalue;

}
#endif /* OpenSSH FIPS Implementation */