#!/bin/sh

echo "OPENSSL directory is" $1
cd $1
echo $PWD
echo "Applying OPENSSL Patches ..."
for i in  ../patch/*.patch
do
	if ! [ -e $i ]
	then
		continue
	fi
	echo "patch file $i"
	patch -p0 < $i
	if [ $? != 0 ]
	then
		echo "Failed to patch $i"
		exit 1
	fi
done
echo "Done"

